#pragma once

#include "CoreMinimal.h"
#include "GameObjectiveBase.h"
#include "GameObjective_ActorList.generated.h"

class AActor;

UCLASS(Blueprintable, Abstract)
class AGameObjective_ActorList : public AGameObjectiveBase
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	TArray<AActor*> _actors;

public:
	AGameObjective_ActorList();
};

FORCEINLINE uint32 GetTypeHash(const AGameObjective_ActorList) { return 0; }
